Skip to content

Copy a strategy

Request

Copy a strategy

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
strategy_idintegerrequired

Numeric ID of the strategy object

Bodyapplication/jsonrequired
statusbooleanrequired

Indicates the status.

namestringrequired

Name of the entity.

campaign_idinteger, (int32), >= 1

Optional destination campaign for the copy. When omitted, the copy stays in the source strategy's campaign. The destination campaign may belong to a different advertiser/agency within the same organization; copying to a different organization is not allowed.

copy_strategy_groupboolean

Indicates if the SOURCE strategy's strategy group is carried onto the copy. Only valid when the campaign is unchanged, since a strategy group is parented to a campaign. Mutually exclusive with strategy_group_id.

strategy_group_idinteger, (int64), [ 1 .. 9223372036854776000 ]

Optional destination strategy group for the copy. The group must belong to the destination campaign. Use this (instead of copy_strategy_group) to attach the copy to a group when copying into a different campaign. Mutually exclusive with copy_strategy_group.

durationobject
targetingobject
inventoryobject
conceptsobject
POST
/strategies/{strategy_id}/copy
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/strategies/{strategy_id}/copy' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "status": true,
    "name": "string",
    "campaign_id": 1,
    "copy_strategy_group": true,
    "strategy_group_id": 1,
    "duration": {
      "start_date": "2019-08-24T14:15:22Z",
      "copy_use_campaign_start": true,
      "end_date": "2019-08-24T14:15:22Z",
      "copy_use_campaign_end": true
    },
    "targeting": {
      "copy_geofence": true,
      "copy_contextual": true,
      "copy_audience": true,
      "copy_technology": true,
      "copy_my_data": true,
      "copy_location": true,
      "copy_day_parts": true,
      "copy_postal_codes": true,
      "copy_audio_video": true,
      "copy_ip_addresses": true,
      "copy_fold_position": true
    },
    "inventory": {
      "copy_supply": true,
      "copy_site_lists": true,
      "copy_supply_controls": true
    },
    "concepts": {
      "copy_creative_groups": true
    }
  }'

Responses

Strategy copy

Bodyapplication/json
dataobject(strategy_full_response)
metaobject(single_metadata)
Response
{ "data": { "inherited_mfa_avoidance": "INHERIT", "inherited_mfa_from": "Organization", "campaign_name": "string", "campaign_start_date": "2019-08-24T14:15:22Z", "campaign_end_date": "2019-08-24T14:15:22Z", "campaign_zone_name": "string", "campaign_service_type": "string", "campaign_goal_type": "string", "campaign_goal_value": 0.1, "campaign_merit_pixel_id": 0, "viewability": {}, "name": "string", "description": "string", "status": true, "archived": false, "is_programmatic_guaranteed": false, "media_type": "DISPLAY", "use_optimization": true, "ads_txt_verified": "ANY", "type": "REM", "feature_compatibility": "string", "device_graph_only": true, "mfa_avoidance": "INHERIT", "zone_name": "America/New_York", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "duration": {}, "budget": {}, "frequency": {}, "concepts": {}, "groups": [], "strategy_group_id": 1, "entity_type": "string", "version": 2, "goals": {}, "pacing": {}, "inventory": {}, "id": 0, "campaign_id": 0, "targeting": {} }, "meta": { "status": "success" } }